Bug 137658 - Break up the Fedora product into separate major versions similar to RHEL
Break up the Fedora product into separate major versions similar to RHEL
Status: CLOSED WONTFIX
Product: Bugzilla
Classification: Community
Component: Bugzilla General (Show other bugs)
3.6
All Linux
medium Severity medium (vote)
: ---
: ---
Assigned To: PnT DevOps Devs
Kevin Baker
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-10-30 00:29 EDT by Dave Jones
Modified: 2015-01-04 17:11 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-12-16 14:41:14 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dave Jones 2004-10-30 00:29:54 EDT
User-Agent:       
Build Identifier: 

Earlier versions of a product reach end of life, and new bugs are just going to
go to /dev/null.  As an example, Fedora Core 1. Bugzilla can only close complete
products (ie, 'Fedora Core'), and not specific subversions of that product.


Reproducible: Always
Steps to Reproduce:
Comment 1 David Lawrence 2006-04-08 14:05:58 EDT
Red Hat's current Bugzilla version is 2.18. I am moving all older open bugs to
this version. Any bugs against the older versions will need to be verified that
they are still bugs. This will help me also to sort them better.
Comment 2 David Lawrence 2008-08-18 18:28:24 EDT
Changing this to RFE to break the Fedora product into separate versions similar to how RHEL was done.
Comment 3 John Poelstra 2008-08-19 13:30:23 EDT
If we move Fedora 'versions' to separate 'products'... is it possible to search bugs across several 'products'?
Comment 4 David Lawrence 2008-08-19 13:54:56 EDT
(In reply to comment #3)
> If we move Fedora 'versions' to separate 'products'... is it possible to search
> bugs across several 'products'?

Yes you would just select multiple ones in query select box for product in query.cgi, similar to RHEL.

Dave
Comment 5 David Lawrence 2010-01-15 12:32:47 EST
Red Hat Bugzilla is now using version 3.4 of the Bugzilla codebase and
therefore this feature will need to be implemented against the new release.
Updating bug version to 3.2.
Comment 6 David Lawrence 2010-08-25 17:43:07 EDT
Red Hat has now upgraded to Bugzilla 3.6 and this bug will now be reassigned to that version. It would be helpful to the Bugzilla Development Team if this bug is verified to still be an issue with the latest version. If it is no longer an issue, then feel free to close, otherwise please comment that it is still a problem and we will try to address the issue as soon as we can.

Thanks
Bugzilla Development Team
Comment 8 John Poelstra 2010-12-16 10:18:54 EST
It seems like we have a pretty good process going now.  Dave do you still see the need for this RFE?  My vote is "things are good enough" and close this bug.
Comment 9 Dave Jones 2010-12-16 11:48:51 EST
I think the original thing that annoyed me was that it was still possible for users to file bugs past EOL.  With a closed 'product', that isn't possible afaik.

That said, it isn't a huge issue any more (maybe because users have gotten their heads around our EOL policies better), so I don't really care if this gets closed or not.
Comment 10 John Poelstra 2010-12-16 14:41:14 EST
Thanks DaveJ.  Will close.

Note You need to log in before you can comment on or make changes to this bug.